#include "appsmodel.h"

AppsModel::AppsModel(QObject * parent) : QStandardItemModel( parent )
{

}

void AppsModel::appendItem(Application * application)
{
	QStandardItem * item = new QStandardItem(application->getIcon(), application->getName());
	this->appendRow( item );
	applications[item] = application;
}

Application * AppsModel::getItem(QStandardItem * item)
{
	if ( applications.contains( item ) )
	{
		return applications[item];
	} else {
		return 0;
	}
}

QModelIndex AppsModel::getIndex(QString itemData)
{
	QList<QStandardItem*> items = findItems( itemData, Qt::MatchExactly );
	if ( items.count() > 0 )
	{
		return items[0]->index();
	} else {
		return QModelIndex();
	}
}

void AppsModel::clear()
{
	QStandardItemModel::clear();
}
