#ifndef CLOUDCONFIG_H
#define CLOUDCONFIG_H

#include <QObject>
#include <QMessageBox>
#include <QInputDialog>
#include <QApplication>
#include <QDialog>
#include <QWidget>
#include <QGridLayout>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <QListWidget>
#include <QDir>
#include <QStringList>
#include <QList>
#include <QListWidgetItem>
#include <QScreen>

#include "configurationdialog.h"
#include "cloudconfigwizard.h"
#include "settings.h"
#include "lwclient.h"
#include "wininfo.h"

class CloudConfig : public QDialog, public ConfigurationDialog
{
	Q_OBJECT

	public:
		CloudConfig(QWidget * parent);
		~CloudConfig();

		void init();
		QIcon icon() { return QIcon(ICON_DIR_APPS + QString(QDir::separator()) + "cloudconfig.png"); }
		QString name() { return tr("Cloud drives configuration"); }
		QDialog * widget() { return this; }

	public slots:
		void accept();
		void reject();

	private slots:
		void append();
		void remove();
		void selectionChanged();
		void loadSettings();

	private:
		QStringList itemStringList();

		QGridLayout * layout;

		QListWidget * cloudList;
		QStringList cloudListTypes;
		QPushButton * appendButton;
		QPushButton * removeButton;
};

#endif
