#ifndef CLOUDCONFIGWIZARD_H
#define CLOUDCONFIGWIZARD_H

#include <QtGlobal>
#include <QWizard>
#include <QLabel>
#include <QLineEdit>
#include <QComboBox>
#include <QGridLayout>
#include <QVBoxLayout>
#include <QStringList>
#include <QIcon>
#include <QUrl>
#include <QAbstractButton>
#include <QMessageBox>
#include <QCursor>
#include <QThread>

#if QT_VERSION >= QT_VERSION_CHECK(5, 7, 0)
#include <QWebEngineView>
#include <QWebEngineProfile>
#include <QWebEngineScript>
#else
#include <QWebView>
#include <QWebFrame>
#include <QWebElement>
#include <QWebElementCollection>
#endif

#include "cloudconfigwizardpage.h"
#include "lwclient.h"
#include "settings.h"

class CloudConfigWizard : public QWizard
{
	Q_OBJECT
public:
	explicit CloudConfigWizard(QStringList existentConfigs, QWidget *parent = 0);

signals:

public slots:
	void reject();

private slots:
	void nameChanged(QString name);
	void pageChanged(int id);
	void webViewLoaded(bool);
	void webViewLoadStarted();

private:
	CloudConfigWizardPage * createInitPage();
	CloudConfigWizardPage *createWebViewPage();
	CloudConfigWizardPage * createFinishPage();
	QString addAccount(QString accountName, QString cloudType);

	QLineEdit * nameLineEdit;
	QComboBox * cloudTypeComboBox;
#if QT_VERSION >= QT_VERSION_CHECK(5, 7, 0)
	QWebEngineView * webView;
#else
	QWebView * webView;
#endif
	QLabel * finishLabel;
	QStringList existentConfigs;
};

#endif // CLOUDCONFIGWIZARD_H
