#ifndef CONFIGURE_H
#define CONFIGURE_H

#include <QPalette>
#include <QBoxLayout>
#include <QGroupBox>
#include <QGridLayout>
#include <QListWidget>
#include <QPixmap>
#include <QLabel>
#include <QStringList>
#include <QStackedWidget>
#include <QCloseEvent>

#include "constants.h"
#include "settings.h"
#include "mimeconfig.h"
#include "userconfig.h"
#include "fontsconfig.h"
#include "languageconfig.h"
#include "touchconfig.h"
#include "cloudconfig.h"
#include "displayconfig.h"
#include "sharedesktopconfig.h"
#include "filesystemwidget.h"

class Configure : public FileSystemWidget
{
	Q_OBJECT

	public:
		Configure();
		~Configure();

		void addApplications();

	private slots:
		void placesDoubleClicked(QModelIndex index);

	private:
		void addConfigurationApplication(ConfigurationDialog * configAppName);
		void removeButtons();
		void closeEvent(QCloseEvent *closeEvent);

		QStackedWidget * container;

//		MimeConfig * mimeConfig;
		UserConfig * userConfig;
		FontsConfig * fontsConfig;
		LanguageConfig * languageConfig;
#ifdef Q_OS_LINUX
		TouchConfig * touchConfig;
#endif
		CloudConfig * cloudConfig;
		DisplayConfig * displayConfig;
//		ShareDesktopConfig * shareDesktopConfig;
};

#endif
