#ifndef DRAGDROP_H
#define DRAGDROP_H

#include <QObject>
#include <QDropEvent>
#include <QDrag>
#include <QDragMoveEvent>
#include <QDragEnterEvent>
#include <QMimeData>
#include <QModelIndex>
#include <QAbstractItemView>
#include <QFileSystemModel>
#include <QFileInfo>
#include <QPair>

#include "constants.h"
#include "clipboardfiles.h"

class DragDrop
{
public:
	static void dragEnterEvent(QDragEnterEvent* event, QString mimeFormat);
	static void dragMoveEvent(QDragMoveEvent* e, QString mimeFormat);
	static QPair<QStringList,QModelIndex> dropEvent(QDropEvent* e, QAbstractItemView * itemView);
	static void startDrag(Qt::DropActions supportedActions, QAbstractItemView * itemView, bool fileSystemMode);
};

#endif // DRAGDROP_H
