#ifndef FILEPROPERTIES_H
#define FILEPROPERTIES_H

#include <QDialog>
#include <QFileInfo>

#include "application.h"
#include "filethread.h"

namespace Ui {
class FileProperties;
}

class FileProperties : public QDialog
{
	Q_OBJECT

public:
	explicit FileProperties(QFileInfo file, QWidget *parent = 0);
	~FileProperties();

	static QString toHuman(long long size);

public slots:
	void setValues();
	void setSize(long long size);
	void setFileCount(int files);
	void setDirCount(int folders);

private:
	void init();

	Ui::FileProperties *ui;
	QFileInfo file;
	FileThread * calculate;
};

#endif // FILEPROPERTIES_H
