#include "filesystemitem.h"

FileSystemItem::FileSystemItem( FileSystemItem * parent, QFileSystemModel * itemModel )
{
	if ( parent != nullptr )
	{
		parent->appendChild( this );
	}

	_parent = parent;
	_itemModel = itemModel;
}

FileSystemItem::~FileSystemItem()
{
	if ( _itemModel != nullptr )
	{
		delete _itemModel;
	}
}

FileSystemItem * FileSystemItem::parent()
{
	return _parent;
}

QFileSystemModel * FileSystemItem::model()
{
	return _itemModel;
}

QList<FileSystemItem*> FileSystemItem::children()
{
	return _children;
}

void FileSystemItem::appendChild( FileSystemItem * child )
{
	_children.append( child );
}

QVariant FileSystemItem::itemData(int role)
{
	if ( _itemData.contains( role ) )
	{
		return _itemData[role];
	} else {
		return QVariant();
	}
}

QVariant FileSystemItem::setItemData(QVariant value, int role)
{
	_itemData[role] = value;
	return value;
}

QStringList FileSystemItem::tags()
{
	return _tags;
}

void FileSystemItem::appendTag( QString tag )
{
	_tags.append( tag );
}
