#ifndef FONTSCONFIG_H
#define FONTSCONFIG_H

#include <QObject>
#include <QMessageBox>
#include <QApplication>
#include <QDialog>
#include <QWidget>
#include <QGridLayout>
#include <QLineEdit>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QDir>
#include <QLabel>
#include <QPushButton>
#include <QComboBox>
#include <QSpinBox>
#include <QFontDatabase>

#include "configurationdialog.h"
#include "settings.h"

class FontsConfig : public QDialog, public ConfigurationDialog
{
	Q_OBJECT

	public:
		FontsConfig(QWidget * parent);

		void init();
		QIcon icon() { return QIcon(ICON_DIR_APPS + QString(QDir::separator()) + "fontsconfig.png"); };
		QString name() { return tr("Fonts configuration"); };
		QDialog * widget() { return this; };

	public slots:
		void accept();
		void reject();

	private:
		void loadSettings();
		void saveSettings();

		QGridLayout * layout;

		QComboBox * normalFont;
		QComboBox * boldFont;
		QSpinBox * fontSize;
		QSpinBox * appButtonFontSize;
		QPushButton * acceptButton;
		QPushButton * cancelButton;
};

#endif
