#ifndef LANGUAGECONFIG_H
#define LANGUAGECONFIG_H

#include <QObject>
#include <QMessageBox>
#include <QApplication>
#include <QDialog>
#include <QWidget>
#include <QGridLayout>
#include <QLineEdit>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QDir>
#include <QLabel>
#include <QPushButton>
#include <QComboBox>
#include <QSpinBox>
#include <QProcess>
#include <QTranslator>

#include "configurationdialog.h"
#include "settings.h"
#include "lwlocale.h"

class LanguageConfig : public QDialog, public ConfigurationDialog
{
	Q_OBJECT

	public:
		LanguageConfig(QWidget * parent);

		void init();
		QIcon icon() { return QIcon(ICON_DIR_APPS + QString(QDir::separator()) + "languageconfig.png"); };
		QString name() { return tr("Language configuration"); };
		QDialog * widget() { return this; };

	public slots:
		void accept();
		void reject();

	private:
		void loadSettings();
		void saveSettings();

		QGridLayout * layout;

		QComboBox * language;
		QComboBox * keyboardLayout;
		QPushButton * acceptButton;
		QPushButton * cancelButton;
};

#endif
