#ifndef LISTVIEW_H
#define LISTVIEW_H

#include <QObject>
#include <QTreeView>
#include <QModelIndex>
#include <QMimeData>
#include <QDrag>
#include <QDragEnterEvent>
#include <QFileSystemModel>

#include "constants.h"
#include "dragdrop.h"

class ListView : public QTreeView
{
	Q_OBJECT

public:
	ListView(QWidget * parent);

signals:
	void dropFiles(QModelIndex target, QStringList fileList, QDropEvent *e);

protected:
	void dragEnterEvent(QDragEnterEvent* event);
	void dragMoveEvent(QDragMoveEvent* e);
	void dropEvent(QDropEvent* e);
	void startDrag(Qt::DropActions supportedActions);
	QString mimeFormat;
	bool fileSystemMode;
};

#endif // LISTVIEW_H
