#ifndef LWDESKTOPSERVER_H
#define LWDESKTOPSERVER_H

#include <QObject>
#include <QString>
#include <QByteArray>
#include <QMutex>
#include <QThread>

#include "settings.h"
#include "liblwnet/lwsocket.h"

class LWDesktopServer
{
	public:
		LWDesktopServer();

		static LWDesktopServer * instance();

		bool connect(QString _address = QString(), int _port = -1);
		void close();
		bool authenticate(QString username, QString password);
		bool isConnected() { return _isConnected; }
		QString sendMessage(QString message);
		QString sendMessage(QString command, QStringList parameters);
		QByteArray sendMessageByteArray(QString message);
		QByteArray sendMessageByteArray(QString command, QStringList parameters);

	private:
		SOCKET tcpSocket;
		bool _isConnected;
		QMutex mutex;
};

#endif
