#include "lwlocale.h"

QString LWLocale::getLang(QString language)
{
	QString lang = "en_US.UTF-8";

	if ( language == "es" )
	{
		lang = "es_ES.UTF-8";
	}

	if ( language == "en" )
	{
		lang = "en_US.UTF-8";
	}

	return lang;
}

QString LWLocale::getDefaultLang()
{
	QFile confFile( "/etc/default/locale" );
	QString lang;
	QByteArray line;

	if ( confFile.open( QIODevice::ReadOnly ) )
	{
		while ( lang.isEmpty() && ! confFile.atEnd() )
		{
			line = confFile.readLine();
			QString start = "LANG=";
			if ( line.trimmed().startsWith( start.toUtf8() ) )
			{
				lang = QString( line ).section( '=', 1, 1 );
				lang.remove( '"' );
				lang = lang.simplified();
			}
		}
		confFile.close();
	}
	return lang;
}

QString LWLocale::getLocalizedValue(QSettings & settings, QString key)
{
	QString language = Settings::getUserValue("Language", "es").toString();
	QString ret = settings.value( key + "[" + language + "]" ).toString();
	if ( ret.isEmpty() )
	{
		ret = settings.value( key ).toString();
	}
	return ret;
}
