#include "searchlineedit.h"

SearchLineEdit::SearchLineEdit(QWidget *parent) : QLineEdit( parent )
{
	int height = sizeHint().height();
	int btnSize = sizeHint().height() - 5;

	searchButton = new QToolButton(this);
	searchButton->setIcon(QIcon(":/icons/24x24/search.png"));
	searchButton->setCursor(Qt::ArrowCursor);
	searchButton->setStyleSheet("QToolButton { border: none; padding: 2px}");
	searchButton->setFixedSize(btnSize, btnSize);

	int frameWidth = style()->pixelMetric(QStyle::PM_DefaultFrameWidth);
	setStyleSheet(QString("QLineEdit { padding-right: %1px }").arg( btnSize - frameWidth + 2));
	setMinimumHeight(height);

	connect(searchButton, SIGNAL(clicked()), this, SLOT(clear()));
}

void SearchLineEdit::resizeEvent(QResizeEvent *)
{
	int frameWidth = style()->pixelMetric(QStyle::PM_DefaultFrameWidth);
	searchButton->move(width() - searchButton->width() - frameWidth - 2, ( height() - searchButton->height() ) / 2);
}

void SearchLineEdit::focusOutEvent(QFocusEvent * event)
{
	QLineEdit::focusOutEvent( event );
	emit focusOut();
}

void SearchLineEdit::focusInEvent(QFocusEvent * event)
{
	QLineEdit::focusInEvent( event );

}

void SearchLineEdit::keyPressEvent(QKeyEvent * event)
{
	QLineEdit::keyPressEvent( event );
}

void SearchLineEdit::keyReleaseEvent(QKeyEvent * event)
{
	QLineEdit::keyReleaseEvent( event );
}
