#ifndef SEARCHLINEEDIT_H
#define SEARCHLINEEDIT_H

#include <QLineEdit>
#include <QIcon>
#include <QToolButton>
#include <QStyle>

class SearchLineEdit : public QLineEdit
{
	Q_OBJECT

public:
	SearchLineEdit(QWidget * parent);

public slots:
	void keyPressEvent(QKeyEvent * event);
	void keyReleaseEvent(QKeyEvent * event);

private slots:
	void resizeEvent(QResizeEvent *);
	void focusOutEvent(QFocusEvent * event);
	void focusInEvent(QFocusEvent * event);

signals:
	void focusOut();

private:
	QToolButton * searchButton;
};

#endif // SEARCHLINEEDIT_H
