#ifndef SHAREDESKTOPCONFIG_H
#define SHAREDESKTOPCONFIG_H

#include <QDialog>
#include <QLabel>
#include <QDir>
#include <QIcon>
#include <QPixmap>
#include <QString>
#include <QLineEdit>
#include <QPushButton>
#include <QGridLayout>

#include "configurationdialog.h"
#include "toolbutton.h"
#include "settings.h"

class ShareDesktopConfig : public QDialog, public ConfigurationDialog
{
    Q_OBJECT

    public:
		ShareDesktopConfig(QWidget *parent);

        void init();

        QIcon icon() { return QIcon(ICON_DIR_APPS + QString(QDir::separator()) + "default.png"); };
        QString name() { return tr("Desktop\nsupport"); };
        QDialog * widget() { return this; };

    private slots:
        void enableSharedDesktop();
        void disableSharedDesktop();

    private:
        QString generatePassword(int passwordLength);

        QGridLayout * layout;
        ToolButton * backButton;
        QLabel * statusLabel;
        ToolButton * enableButton;
        ToolButton * disableButton;
        QLabel * passwordLabel;
        QLineEdit * password;
        ToolButton * acceptButton;
        ToolButton * cancelButton;
};

#endif // SHAREDESKTOPCONFIG_H
