#include "splitter.h"

SplitterHandle::SplitterHandle(Qt::Orientation o, QSplitter * parent) : QSplitterHandle(o, parent)
{
	setStyleSheet( "SplitterHandle { background-color: transparent; };" );
	QPalette palette = this->palette();
	palette.setBrush(QPalette::Base, Qt::transparent);
	setPalette(palette);
	setAttribute(Qt::WA_OpaquePaintEvent, false);
	setAttribute(Qt::WA_TranslucentBackground);
	setAttribute( Qt::WA_NoSystemBackground );
}

void SplitterHandle::paintEvent(QPaintEvent *event)
{
	int width = SEPARATOR_WIDTH;

	int left = ( event->rect().right() - event->rect().left() ) / 2;
	int right = left + width;

	QPainter painter(this);
	QRect rect;
	rect.setTop( event->rect().top() + SEPARATOR_MARGIN );
	rect.setBottom( event->rect().bottom() - SEPARATOR_MARGIN );
	rect.setLeft( left );
	rect.setRight( right );
	painter.fillRect( rect, QColor( 255, 255, 255, SEPARATOR_ALPHA ) );
}

Splitter::Splitter(Qt::Orientation o, QWidget *parent) : QSplitter(o, parent)
{
}

Splitter::Splitter(QWidget *parent) : QSplitter(parent)
{
}

QSplitterHandle * Splitter::createHandle()
{
	SplitterHandle * handle = new SplitterHandle( this->orientation(), this );
	return handle;
}
