#ifndef SYSTRAYMANAGER_H
#define SYSTRAYMANAGER_H

#include <QThread>
#include <QMutex>
#include <QAbstractNativeEventFilter>
#include <QApplication>
#include "constants.h"

#ifdef Q_OS_LINUX
#include <QX11Info>
#endif

class SystrayManager : public QObject,QAbstractNativeEventFilter
{
	Q_OBJECT

public:
	SystrayManager(HWND window, QObject * parent );
	void init();
	void stop();

signals:
	void iconsChanged();
	void addIcon(HWND window);
	void removeIcon(HWND iconWindow);
	void exiting();

private:
	bool nativeEventFilter(const QByteArray & eventType, void * message, long * result);
	bool doClientMessage(void * message, long * result);
	bool propertyNotifyAction(void * message, long *result);

	HWND systrayWinId;
#ifdef Q_OS_LINUX
	Display * display;
#endif
	QMutex mutex;
	bool isRunning;
};

#endif // SYSTRAYMANAGER_H
