#ifndef WINACTION_H
#define WINACTION_H

#include <QObject>
#include <QMutex>
#include <QColor>
#include <QDebug>
#include <QWindow>

#ifdef Q_OS_WIN
#include <WinSock2.h>
#include <windows.h>
#include <Psapi.h>
#include <lm.h>
#include <WtsApi32.h>
#include <QtWinExtras/QtWin>
#endif

#include "wininfo.h"
#include "manager.h"
#include "constants.h"

class WinAction : public QObject
{
	Q_OBJECT

	public:
		static void sendClientMessage(uint32_t mask, xcb_window_t destination, xcb_window_t window, xcb_atom_t message, const uint32_t data[]);
		static void setInputFocus( HWND id );
		static void setWindowPosition(HWND id, int x, int y);
		static void locateWindow( HWND id, int x, int y, int width, int height);
		static void setDockWindow( HWND id );
		static void setDesktopWindow( HWND id );
		static void showWindow( HWND id );
		static void minimizeWindow( HWND id );
		static void moveToBack( HWND id );
		static void moveToFront( HWND id );
		static void setRootWindowBackgroundColor( QColor color );
		static void setWindowAlwaysInactive(HWND id);
		static void closeWindow( HWND id );
		static void closeRemoteWindow( HWND id );
		static void terminateWindow( HWND id );
		static void terminateRemoteWindow( HWND id );
		static void sendKeyPressEvent( HWND id, int modifiers, int keysym );
};

#endif
