#!/bin/bash

ADDRESS=$1
DEVICETYPE=$2

if [ "${DEVICETYPE}" == "mrpdi" ]
then
	killall mrpdi-cli
fi

if [ "${DEVICETYPE}" == "iqboard" ]
then
	killall RSDVTService
fi

sleep 2

if [ "${DEVICETYPE}" == "iqboard" ]
then
	umount /usr/share/BoardDriver/DVT/Config
	mount -t tmpfs none /usr/share/BoardDriver/DVT/Config

	rm -f /usr/share/BoardDriver/DVT/Config/config.xml

	if [ -e /usr/share/BoardDriver/DVT/Config/config.xml ]
	then
		exit 1
	fi

	RSDVTService &

	sleep 2

	RSDVTOrient &
fi

if [ "${DEVICETYPE}" == "mrpdi" ]
then
	umount /etc/mrpdi
	mount -t tmpfs none /etc/mrpdi

	rm -f /etc/mrpdi/settings.conf

	if [ -e /etc/mrpdi/settings.conf ]
	then
		exit 1
	fi

	if [ -z "${ADDRESS}" ]
	then
		mrpdi-cli --auto &
	else
		mrpdi-cli --auto ${ADDRESS} &
	fi
fi

TIMEOUT=20
COUNTER=0
while [ $COUNTER -lt $TIMEOUT ]
do
	let COUNTER=COUNTER+1

	if [ "${DEVICETYPE}" == "mrpdi" ]
	then
		STATUS=$(ps -ef | grep -v "grep" | grep "mrpdi-cli")
	fi

	if [ "${DEVICETYPE}" == "iqboard" ]
	then
		STATUS=$(ps -ef | grep -v "grep" | grep "RSDVTOrient")
	fi

	if [ -z "${STATUS}" ]
	then
		COUNTER=1000
	fi
	sleep 1
done

if [ "$COUNTER" == "$TIMEOUT" ]
then
	if [ "${DEVICETYPE}" == "mrpdi" ]
	then
		killall mrpdi-cli
		sleep 2
		if [ -e /etc/mrpdi/settings.conf ]
		then
			if [ -z "${ADDRESS}" ]
			then
				mrpdi-cli --auto &
			else
				mrpdi-cli --auto ${ADDRESS} &
			fi
			sleep 2
			exit 0
		else
			exit 2
		fi
	fi
	if [ "${DEVICETYPE}" == "iqboard" ]
	then
		if [ -e /usr/share/BoardDriver/DVT/Config/config.xml ]
		then
			exit 0
		else
			exit 2
		fi
	fi
else
	exit 3
fi

exit 4
