#ifndef BASEWIDGET_H
#define BASEWIDGET_H

#include <QFrame>
#include <QWidget>
#include <QPushButton>
#include <QVBoxLayout>
#include <QPixmap>
#include <QColor>
#include <QPainter>
#include <QBrush>
#include <QBitmap>
#include <QPaintEvent>
#include <QGraphicsDropShadowEffect>
#include <QSharedMemory>
#include <QApplication>

#ifdef Q_OS_WIN
#include <WinSock2.h>
#include <windows.h>
#endif

#ifdef Q_OS_LINUX
#include <X11/X.h>
#endif

#include "childframe.h"

#define BLURRADIUS 20
#define SHADOWOFFSET 5
#define SHADOWALPHA 50
#define SHADOWCOLOR QColor(100, 100, 100)

class BaseWidget : public QFrame
{
	Q_OBJECT

public:
	BaseWidget(QString widgetName, QString background = QString::null);

	void setLayout(QLayout * layout);
	void setLayoutDirection(Qt::LayoutDirection direction);

protected:
	void setRoundedCorners(int radius);

private:
	QSharedMemory sharedMemory;
	ChildFrame * child;
	QPixmap pixmap;
};

#endif // BASEWIDGET_H
