set VERSION=%1

set VSVERSION=14
set ARCH=64
set QTVERSION=5.9.7

set VSDIR=%programfiles(x86)%\Microsoft Visual Studio %VSVERSION%.0\VC
set VSBINDIR=%VSDIR%\Bin
set SDKBINDIR=%programfiles%\Microsoft SDKs\Windows\v7.1\Bin

if %VSVERSION% equ 14 set VSYEAR=2015

if %ARCH% equ 32 set QTBINDIR=c:\Qt\%QTVERSION%\msvc%VSYEAR%\bin
if %ARCH% equ 64 set QTBINDIR=c:\Qt\%QTVERSION%\msvc%VSYEAR%_64\bin

set PATH=%PATH%;%SDKBINDIR%;%VSBINDIR%;%QTBINDIR%

cd ..

call "%VSDIR%\vcvarsall.bat" amd64

call rmdir /q /s common\Release
call rmdir /q /s common\Debug
call rmdir /q /s common\liblwnet
call del common\Makefile
call del common\Makefile.*

call "%VSBINDIR%\nmake" distclean

cd icons
call genicons.cmd clean
call genicons.cmd
cd ..

call mkdir common\Release

call "%QTBINDIR%\qmake"
call "%QTBINDIR%\lupdate" desktop.pro
call "%QTBINDIR%\lrelease" desktop.pro
call "%VSBINDIR%\nmake" Release

call "%QTBINDIR%\windeployqt" --release common\Release

call del common\Release\*.obj
call del common\Release\*.cpp
call del common\Release\translations\*.qm

mkdir common\Release\fonts
copy librework-desktop.ini common\Release\
copy libreworklauncher.bat common\Release\
copy ts\librework-desktop_es.qm common\Release\
copy windeploy\librework.png common\Release\
copy windeploy\librework.ico common\Release\
copy windeploy\setupScript.iss common\Release\
copy windeploy\reginstall.bat common\Release\
copy windeploy\reguninstall.bat common\Release\
copy windeploy\lib%ARCH%\*.dll common\Release\
copy windeploy\librework-gpo*.* common\Release\
copy windeploy\wfreerdp.exe common\Release\
copy fonts\*.ttf common\Release\fonts\
call del common\Makefile
call del common\Makefile.*

cd common\Release
call ..\..\windeploy\InnoSetup\ISCC.exe /q setupScript.iss
cd ..\..

copy common\Release\Output\librework-desktop-setup.exe LibreWork-Desktop-Setup-v%VERSION%.exe

cd windeploy

pause
